OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Private Member Functions | Private Attributes
ThreadObject_MorphOS Class Reference

MorphOS version for ThreadObject. More...

Inheritance diagram for ThreadObject_MorphOS:

## Public Member Functions
| ThreadObject_MorphOS (OTTDThreadFunc proc, void *param, self_destruct)
| Create a sub process and start it, calling proc(param).
bool | Exit ()
| Exit this thread.
void | Join ()
| Join this thread.
bool | IsCurrent ()
Public Member Functions inherited from ThreadObject
virtual | ~ThreadObject ()
| Virtual destructor to allow 'delete' operator to work properly.

## Static Private Member Functions
static void | Proxy ()
| On thread creation, this function is called, which calls the real startup function.

## Private Attributes
APTR | m_thr
| System thread identifier.
struct MsgPort * | m_replyport
struct OTTDThreadStartupMessage | m_msg
bool | self_destruct

## Additional Inherited Members
Static Public Member Functions inherited from ThreadObject
static bool | New (OTTDThreadFunc proc, void *param, ThreadObject **thread=NULL, const char *name=NULL)
| Create a thread; proc will be called as first function inside the thread, with optional params.

## Detailed Description

MorphOS version for ThreadObject.

Definition at line 66 of file thread_morphos.cpp.

## Member Function Documentation

static void ThreadObject_MorphOS::Proxy | ( |  | ) |
| inline static private

On thread creation, this function is called, which calls the real startup function.

This to get back into the correct instance again.

Definition at line 169 of file thread_morphos.cpp.

References OTTDThreadStartupMessage::arg, OTTDThreadStartupMessage::func, KPutStr(), and OTTDThreadStartupMessage::msg.

Referenced by ThreadObject_MorphOS().

The documentation for this class was generated from the following file:

- src/thread/thread_morphos.cpp